Bug 130418 - NE2000 ISA board not recognised by installer and network config tool
NE2000 ISA board not recognised by installer and network config tool
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-20 06:37 EDT by Roland Leurs
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 11:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Leurs 2004-08-20 06:37:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
I downloaded the DVD iso image to a webserver and I tried to do a
network install of FC3 test1 on a PII@350MHz, 387 MB ram and plenty of
diskspace. After I selected the source (either FTP or HTTP) the
install program asked for a network adapter. I selected the NE
1000/2000 and specified the parameters io=0x340 irq=4 which are
correct. But the install program complains there's no such device.
Strange, because when I went back the NE1000/2000 option was disappeared.

Anyway, I decided to do a harddisk install after I copied the iso
image to my harddisk (so the NE2000 works!). After installation, FC3
had not installed my NE2000. I started the Network configuration tool,
again I selected "NE1000 NE2000 and compatible" and specified the
correct parameters. And FC3 refused to load the ne.ko file. Here is
what showed up in /var/log/messages:

Aug 18 19:13:41 localhost kernel: 88 3f 03 05 00 40 ed 9c d9 f2 9c ae
b4 b0 84 03 e4 11 02 be c4 00 a0 a6 ed 4f 55 87 06 fc ec 33 b9 97 68
d4 3c 70 cd 02 f9 0c
e0 00 a0 cc 33 35 82 f2 27 ce 16 2a 39 29 29 23 37 b8 92 32 9e 5b f3
Aug 18 19:13:41 localhost kernel: be c4 75 4b b2 d0 dd b8 bc 17 89 93
5d d0 8e 96 bf 88 b1 aa
Aug 18 19:13:41 localhost kernel: 88 3f 03 05 00 40 ed 9c e2 f2 9c ae
b4 b0 84 03 e4 11 02 6c 62 00 9c 0e e7 15 e7 25 75 04 2a bf 0a 4e 6a
31 c7 22 a2 c8 22 40
d6 00 9d 16 de dc a4 8a c3 16 35 19 14 54 0a 7d a2 c4 e8 05 72 cb 69
Aug 18 19:13:41 localhost kernel: 6c 62 a1 38 b7 b1 6b aa 4f 14 28 4c
f2 24 69 ec f8 5f e4 88
Aug 18 19:13:41 localhost kernel: ne: Unknown parameter `" irq'
Aug 18 19:13:41 localhost kernel: ne.c: You must supply "io=0xNNN"
value(s) for
ISA cards.
Aug 18 19:14:10 localhost kernel: 88 3f 03 05 00 40 ed 9c e2 f2 9c ae
b4 b0 84 03 e4 11 02 6c 62 00 9c 0e e7 15 e7 25 75 04 2a bf 0a 4e 6a
31 c7 22 a2 c8 22 40
d6 00 9d 16 de dc a4 8a c3 16 35 19 14 54 0a 7d a2 c4 e8 05 72 cb 69
Aug 18 19:14:10 localhost kernel: 6c 62 a1 38 b7 b1 6b aa 4f 14 28 4c
f2 24 69 ec f8 5f e4 88
Aug 18 19:14:10 localhost kernel: ne: Unknown parameter `" io'
Aug 18 19:14:10 localhost kernel: ne.c: You must supply "io=0xNNN"
value(s) for
ISA cards.

After that (I left the network configuration tool open) I did insmod
ne.ko io=0x340 irq=4 and the module loaded without warnings:

Aug 18 19:19:07 localhost kernel: 88 3f 03 05 00 40 ed 9c e2 f2 9c ae
b4 b0 84 03 e4 11 02 6c 62 00 9c 0e e7 15 e7 25 75 04 2a bf 0a 4e 6a
31 c7 22 a2 c8 22 40
d6 00 9d 16 de dc a4 8a c3 16 35 19 14 54 0a 7d a2 c4 e8 05 72 cb 69
Aug 18 19:19:07 localhost kernel: 6c 62 a1 38 b7 b1 6b aa 4f 14 28 4c
f2 24 69 ec f8 5f e4 88
Aug 18 19:19:07 localhost kernel: ne.c:v1.10 9/23/94 Donald Becker
(becker@scyld.com)
Aug 18 19:19:07 localhost kernel: Last modified Nov 1, 2000 by Paul
Gortmaker
Aug 18 19:19:07 localhost kernel: NE*000 ethercard probe at 0x340: 52
54 40 25 2f 22
Aug 18 19:19:07 localhost kernel: eth%%d: NE2000 found at 0x340, using
IRQ 4.
Aug 18 19:19:07 localhost hal.hotplug[3849]: waiting for net info at
/class/net/eth0
Aug 18 19:19:07 localhost hal.hotplug[3849]: Dont know how to wait for
net at /class/net/eth0; sleeping 1000 ms

I went back to the network configuration tool and configured the eth0
interface for DHCP. I rebooted the computer and everything work fine.


Version-Release number of selected component (if applicable):
anaconda-10.0.1-2,  system-config-network-1.3.17-2 

How reproducible:
Always

Steps to Reproduce:
1. Boot from CD with boot.iso burned on it
2. Choose either grafical or text mode installation
3. Select FTP or HTTP for media
4. Systems asks a driver to select
5. Select NE2000 and specify correct parameters
    

Actual Results:  You get an error message saying the driver has not
been loaded, although on the other consoles (CTRL 2 etc) you can see
it has loaded the driver. The NE2000 option has disappeared from the
available drivers if you go back in the installer.

Expected Results:  The install program should continue with the
installation, probably asking for it's networking setup (IP address or
DHCP).

Additional info:

The same problem occurs when adding the NE2000 with the network
configuration tool. When you install the kernel module manually, it
all works fine and keeps working after a reboot.
Comment 1 Jeremy Katz 2004-08-20 11:54:11 EDT
Installation via (and automatic setup of) ISA based adapters isn't
supported

Note You need to log in before you can comment on or make changes to this bug.